#paper1Stas
##packages required
rm(list=ls())
library(dataRetrieval)
library(Matrix)
library(openxlsx)
library(dplyr)
library(tidyr)
library(tidyverse)
library(chron)
library(lubridate)
library(tis)
library(expss)
library(plotrix)

library(pracma)

library(smooth)
library(Mcomp)
library(tidyquant)
library(stats)


Paper1Stats <- read_csv("Desktop/WheelerLab/Paper1Stats.csv")
paper1<-Paper1Stats%>%filter(Eff_Dia!="Na")


###############Effective Diameter

#LOG TRANSFORMED TO CONDUCT STAT ANALYSIS 
paper1$Eff_Dia<-log(paper1$Eff_Dia)+1

#need above 0.05 Pr(>F) for homogenity of variance
library(car)
leveneTest(Eff_Dia ~ as.factor(SAMPLE)*as.factor(BoundState)*as.factor(HS), data = paper1)


##chose ONE ANOVA
ANOVA <-aov(Eff_Dia ~ as.factor(SAMPLE)*as.factor(BoundState)*as.factor(HS),
            data = paper1)
summary(ANOVA)

#checks normailty
plot(ANOVA, 2)

#checks for normailty 
aov_residuals <- residuals(object = ANOVA)
# Run Shapiro-Wilk test
shapiro.test(x = aov_residuals )


tukey.out<-TukeyHSD(ANOVA)
tukey.out





###Zeta potential 
Paper1Stats <- read_csv("Desktop/WheelerLab/Paper1Stats.csv")
paper1<-Paper1Stats%>%filter(ZP!="Na")


#need above 0.05 Pr(>F) for homogenity of variance
library(car)
leveneTest(ZP ~ as.factor(SAMPLE)*as.factor(BoundState)*as.factor(HS), data = paper1)


##chose ONE ANOVA
ANOVA <-aov(Eff_Dia ~ as.factor(SAMPLE)*as.factor(BoundState)*as.factor(HS),
            data = paper1)
summary(ANOVA)

#checks normailty
plot(ANOVA, 2)

#checks for normailty 
aov_residuals <- residuals(object = ANOVA)
# Run Shapiro-Wilk test
shapiro.test(x = aov_residuals )


tukey.out<-TukeyHSD(ANOVA)
tukey.out






###############K Value
#######################ANOVA HS VS NON HS LOG TRANSFORMED
Paper1Stats <- read_csv("Desktop/WheelerLab/Kd.csv")
paper1<-Paper1Stats%>%dplyr::filter(Kd!="Na")

paper1$Kd<-  log(paper1$Kd)+1
  
  sqrt(paper1$Kd)

  log(paper1$Kd)+1

library(bestNormalize)
x<-paper1$Kd
arcsinh_x_obj<-arcsinh_x(x, standardize = TRUE)
arcsinh_x_obj
p <- predict(arcsinh_x_obj)
x2 <- predict(arcsinh_x_obj, newdata = p, inverse = TRUE)
all.equal(x2, x) #if true then data has been normalized 

paper1$Kd<-asin(sqrt(paper1$Kd/100))

#need above 0.05 Pr(>F) for homogenity of variance
library(car)
leveneTest(Kd ~ as.factor(Sample_2way), data = paper1)

##chose ONE ANOVA
ANOVA <- aov(Kd ~ Sample_2way * HS, data = paper1)
summary(ANOVA)

#checks normailty
plot(ANOVA, 2)

#checks for normailty 
aov_residuals <- residuals(object = ANOVA)
# Run Shapiro-Wilk test
shapiro.test(x = aov_residuals )

tukey.out<-TukeyHSD(ANOVA)
tukey.out





#non parametric analysis 
paper1$Eff_Dia<-as.factor(paper1$Kd)
paper1$Sample<-as.factor(paper1$Sample_2way)

kruskal.test(Eff_Dia ~ Sample, data = paper1)








